﻿using System;
using System.Collections.Generic;

#nullable disable

namespace RuleEngine.Models
{
    public partial class Rfid
    {
        public Rfid()
        {
            Treasurers = new HashSet<Treasurer>();
        }

        public int Id { get; set; }
        public string CardNumber { get; set; }
        public string Description { get; set; }
        public DateTime? ActivationTime { get; set; }
        public int Type { get; set; }
        public bool IsDistributed { get; set; }
        public bool? Status { get; set; }
        public int? UnitId { get; set; }

        public virtual ICollection<Treasurer> Treasurers { get; set; }
    }
}
