﻿using System;
using System.Collections.Generic;

#nullable disable

namespace RuleEngine.Models
{
    public partial class WarningEvent
    {
        public int Id { get; set; }
        public int? WarningTypeId { get; set; }
        public int? ScheduleId { get; set; }
        public int? CarId { get; set; }
        public double? StartLatitude { get; set; }
        public double? StartLongitude { get; set; }
        public double? EndLatitude { get; set; }
        public double? EndLongitude { get; set; }
        public DateTime? StartTime { get; set; }
        public DateTime? EndTime { get; set; }
        public string EventContent { get; set; }
        public int? NearPointId { get; set; }
        public string NearPointName { get; set; }
        public double? NearPointDistance { get; set; }
        public bool? StopSound { get; set; }
        public string Reason { get; set; }
        public DateTime? ReasonInputTime { get; set; }
    }
}
