namespace RuleEngine.Requests
{
    public class DeviceLogRequest
    {
        public int CarID { get; set; }
        public required string Imei { get; set; }
        public int UnitID { get; set; }
        public DateTime ReceivedTime { get; set; }
        public double? GpsLat { get; set; }
        public double? GpsLon { get; set; }
        public int? GpsSpeed { get; set; }
        public int? CellID { get; set; }
        public int? LacID { get; set; }
        public bool? IsSos { get; set; }
        public bool? IsStrongBoxOpen { get; set; }
        public bool? IsEngineOn { get; set; }
        public bool? IsGPSLost { get; set; }
        public string? StrRFID { get; set; }
        public double? OriLati { get; set; }
        public double? OriLongi { get; set; }
        public double? NetworkLat { get; set; }
        public double? NetworkLon { get; set; }
        public string? Version { get; set; }
        public string? GPSInfor { get; set; }
        public bool? IsJamming { get; set; }
        public bool? IsSpoofing { get; set; }
        public bool? Cam1OK { get; set; }
        public bool? Cam2OK { get; set; }
        public bool? CamDetach { get; set; }
        public int? CarStatus { get; set; }     // carStatus: 0 - running; 1 - stopping; 2 - stopping but not fix position
        public string? Message { get; set; }
        public required string Code { get; set; }
    }
}