﻿using System;
using System.Collections.Generic;


#nullable disable

namespace RuleEngine.Models
{
    public partial class History
    {
        public int Id { get; set; }
        public string Rfidstring { get; set; }
        public DateTime? ReceivedTime { get; set; }
        public DateTime? DeviceTime { get; set; }
        public int? CarStatus { get; set; }
        public bool? EngineOn { get; set; }
        public bool? StrongBoxOpen { get; set; }
        public bool? IsSos { get; set; }
        public bool? IsGPSLost { get; set; }
        public double? GpsLat { get; set; }
        public double? GpsLon { get; set; }
        public double? NetworkLat { get; set; }
        public double? NetworkLon { get; set; }
        public int? GpsVelocity { get; set; }
        public int? CarId { get; set; }
        public int? DeviceDate { get; set; }
        public int? UnitId { get; set; }
        public virtual Car Car { get; set; }
        public string GpsInfor { get; internal set; }
        public bool IsJamming { get; internal set; }
        public bool IsSpoofing { get; internal set; }
        public bool Cam1OK { get; internal set; }
        public bool Cam2OK { get; internal set; }
        public bool CamDetach { get; internal set; }
    }
}
