﻿using System;
using System.Collections.Generic;

#nullable disable

namespace RuleEngine.Models
{
    public partial class Schedule
    {
        public int Id { get; set; }
        public int? SampleId { get; set; }
        public int? CarId { get; set; }
        public string CarPlateNumber { get; set; }
        public int? DriverId { get; set; }
        public string DriverName { get; set; }
        public int? OwnerId { get; set; }
        public string OwnerName { get; set; }
        public int? AtmTechnicanId { get; set; }
        public string KtvAtmName { get; set; }
        public int? EscortId { get; set; }
        public string EscortName { get; set; }
        public string SecurityName { get; set; }
        public DateTime? AssignedDate { get; set; }
        public DateTime? RunningDate { get; set; }
        public DateTime? StartTime { get; set; }
        public DateTime? EndTime { get; set; }
        public string SampleCode { get; set; }
        public string SampleName { get; set; }
        public string ScheduleName { get; set; }
        public int? UnitId { get; set; }
        public string LstPoint { get; set; }
        public string LstTimeLabel { get; set; }
        public string SampleDetail { get; set; }
        public int? SampleType { get; set; }
        public double? MinutesLateArrival { get; set; }
        public double? AllowedRangeKm { get; set; }
        public double? DistanceTmp { get; set; }
        public double? TimeTmp { get; set; }
        public bool? UnlimitedTime { get; set; }
        public DateTime? AccessedAt { get; set; }
        public DateTime? CreatedAt { get; set; }
        public DateTime? DeletedAt { get; set; }
    }
}
